{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
    {% endblock begin_javascript_fix %}



    {% block begin_javascript %}
    {{ parent() }}
    {{ modulename }}Obj.prototype = {
        formConfig: {
            items: [
                new mj.form.field({
                    dataIndex: 'id',
                    hidden: true
                }),
                new mj.form.field({
                    dataIndex: 'version',
                    hidden: true
                }),
                new mj.form.numberField({
                    title: "{{ 'OperationAuthorizationQuestion.listorder'|trans }}",
                    dataIndex: 'listorder',
                    maxLength: 2,
                    width:50,
                    labelWidth : '110px',
                    grid: 's12 m6'
                }),
                new mj.form.textField({
                    title: "{{ 'OperationAuthorizationQuestion.question'|trans }}",
                    dataIndex: 'question',
                    width:500,
                    maxLength: 255,
                    labelWidth : '110px',
                    grid: 's12 m6'
                })
                ,
                new mj.form.checkBox({
                    title: "{{ 'OperationAuthorizationQuestion.isdescriptionrequire'|trans }}",
                    dataIndex: 'isdescriptionrequire',
                    labelWidth : '110px',
                    grid: 's12 m6'
                })
            ]
        },
        gridConfig : {
            cm: [
                {header: "{{ 'OperationAuthorizationQuestion.listorder'|trans }}", dataIndex: 'listorder', width: 50,align:'right'},
                {header: "{{ 'OperationAuthorizationQuestion.question'|trans }}", dataIndex: 'question', width: 500},
                {header: "{{ 'OperationAuthorizationQuestion.isdescriptionrequire'|trans }}", dataIndex: 'isdescriptionrequire', width: 100,renderer:mj.renderer.check()}
            ]
        },
        init : function(){
            var t = this;
            {{ modulename }}Obj.superclass.init.call(t);
        }
    };
    {% endblock begin_javascript %}



    {% block begin_default_module %}
    {{ parent() }}
    {% endblock begin_default_module %}



    {% block end_default_module %}
    {{ parent() }}
    {% endblock end_default_module %}


    {% block end_javascript %}
    {{ parent() }}
    {% endblock end_javascript %}


    {% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
    {{ parent() }}
{% endblock body %}
